Consider upgrading to PHP 8
Status: New Start date: Sep 29, 2022

Priority: Immediate Due date:  

Assignee: Tommaso Piccioli % Done: 0%

Target version: To Be Planned   

VREName:    

Description

After the last update, Joomla shows the following warning:

Your PHP version, 7.4.24, is only receiving security fixes from the PHP project at this time. This

 means your PHP version will soon no longer be supported. We recommend planning to upgrade to a ne

wer PHP version before it reaches end of support on 2022-11-28. Joomla will be faster and more sec

ure if you upgrade to a newer PHP version. Please contact your host for upgrade instructions.

 So, we have to consider to upgrade to PHP 8. But, first of all, we have do verify the compatibility of the Mongo and Solr libraries.

Related issues:

Related to ISTI Open Access - Task #25584: Migrate OpenPortal front end to th... New Sep 06, 2023

History

#1 - May 31, 2023 03:59 PM - Michele Artini

- Priority changed from Low to High

I'm developing the new extensions for the migration to Joomla 4.

Currently I'm using PHP 8.1.13.

Can we consider to upgrade the PHP version on the portal machine?

The installed version is considered obsolete also for the last release of Joomla 3.

#2 - Jun 06, 2023 11:09 AM - Andrea Dell'Amico

- Assignee changed from _InfraScience Site Reliability Engineer (SRE) to Tommaso Piccioli

@tommaso.piccioli@isti.cnr.it it should be a matter of changing the version in the playbook, run it, and eventually cleaning up things manually: in the

past I saw that some old packages were not cleaned up correctly.

A downtime is expected while the packages are being replaced and php-fpm restarted.

#3 - Aug 29, 2023 05:06 PM - Leonardo Candela

Tommaso Piccioli is it possible to deal with this? It seems easy.

#4 - Sep 06, 2023 09:29 AM - Leonardo Candela

- Priority changed from High to Immediate

#5 - Sep 06, 2023 11:36 AM - Leonardo Candela

- Related to Task #25584: Migrate OpenPortal front end to the openstack infrastructure added

#6 - Mar 25, 2025 11:45 AM - Luca Frosini

- Target version set to To Be Planned
